Skip to content

getInspectionFeatures

READ

Get inspection features.

POST /api/v1/quality/getInspectionFeatures
curl -X POST '<your-host>/api/v1/quality/getInspectionFeatures' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "inspectionDocumentId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "inspectionDocumentId": "string",
      "companyId": "string",
      "pageNumber": 0,
      "label": "string",
      "description": "string",
      "nominalValue": "string",
      "tolerancePlus": "string",
      "toleranceMinus": "string",
      "unit": "string",
      "type": "string",
      "samplingPlanType": "string",
      "samplingSampleSize": 0,
      "samplingPercentage": 0,
      "samplingAql": 0,
      "samplingInspectionLevel": "string",
      "samplingSeverity": "string",
      "balloonId": "string",
      "createdBy": "string",
      "updatedBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "inspectionDocumentId": {
      "type": "string"
    }
  },
  "required": [
    "inspectionDocumentId"
  ]
}